JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OSCInternalError Struct Reference
juce_osc » osc

Exception type thrown in cases of unexpected errors in the OSC module. More...

`#include <juce_OSCTypes.h>`

Inheritance diagram for OSCInternalError:

## Public Member Functions
| OSCInternalError (const String &desc)
Public Member Functions inherited from OSCException
| OSCException (const String &desc)

## Additional Inherited Members
Public Attributes inherited from OSCException
String | description

## Detailed Description

Exception type thrown in cases of unexpected errors in the OSC module.

Note: This should never happen, and all the places where this is thrown should have a preceding jassertfalse to facilitate debugging.

## Constructor & Destructor Documentation

## ◆ OSCInternalError()

OSCInternalError::OSCInternalError | ( | const String & | desc | ) |

The documentation for this struct was generated from the following file:

- juce_OSCTypes.h